<?php

namespace App\Http\Controllers\Api\V1\Herramientas;

use Illuminate\Http\Request;

use App\Http\Requests;
use App\Http\Controllers\Controller;

class HerramientasController extends Controller
{
    /**
     * HerramientasController constructor.
     */
    public function __construct()
    {

    }

    /**
     *
     */
    public function index()
    {

    }

    public function clonarTabla(Request $request)
    {
//        $nombre_archivo = $_POST['nombre_archivo'] . "_" . date('d-m-Y_h:i:s');
        $nombreArchivo = $request->archivo . "_" . date('d-m-Y_h:i:s');
        header("Content-type: application/vnd.ms-excel; name='excel'");
        header("Content-Disposition: filename=" . $nombreArchivo . ".xls");
        header("Pragma: no-cache");
        header("Expires: 0");
        echo utf8_decode($request->tablaclonada);
    }
}
